Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert
Class DeclarativeModelSequenceKeyConverter

    java.lang.Object
      org.richfaces.convert.DeclarativeModelSequenceKeyConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

    public class DeclarativeModelSequenceKeyConverter

extends java.lang.Object
implements javax.faces.convert.Converter

Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `CONVERTER_ID`

Constructor Summary
`DeclarativeModelSequenceKeyConverter()`

Method Summary
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### DeclarativeModelSequenceKeyConverter

    public DeclarativeModelSequenceKeyConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String value)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.